JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Symbols

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

Loading...
Searching...
No Matches
Here is a list of all variables with links to the classes they belong to:

### - s -

- safeAreaInsets : Displays::Display
- samplePosition : MidiMessageMetadata
- sampleRate : AudioDeviceManager::AudioDeviceSetup, AudioFormatReader, AudioFormatWriter, juce::dsp::ProcessSpec
- scalar : Quaternion< Type >
- scale : Displays::Display
- scaleFactorListeners : ComponentPeer
- scopeUID : Expression::Symbol
- sendDismissAction : PushNotifications::Settings::Category
- setPartial : juce::midi_ci::PropertyRequestHeader
- settings : StandalonePluginHolder
- sharedContainer : URL::DownloadTaskOptions
- shortcutKeyDescription : PopupMenu::Item
- shortDescription : ConsoleApplication::Command
- shortName : ApplicationCommandInfo
- shouldAutoCancel : PushNotifications::Notification
- shouldBreakAfter : PopupMenu::Item
- shouldMuteInput : StandalonePluginHolder
- SIMDNumElements : juce::dsp::SIMDRegister< Type >
- SIMDRegisterSize : juce::dsp::SIMDRegister< Type >
- size : Image::BitmapData, SerialisationSize< T >
- skew : NormalisableRange< ValueType >
- slider : SliderPropertyComponent
- sliderBounds : Slider::SliderLayout
- sounds : Synthesiser
- soundToPlay : PushNotifications::Channel, PushNotifications::Notification
- source : AudioProcessorGraph::Connection, juce::midi_ci::Message::Header, MouseEvent
- sourceComponent : DragAndDropTarget::SourceDetails
- spaceKey : KeyPress
- sqrt2 : MathConstants< FloatType >
- start : GridItem::StartAndEndProperty, NormalisableRange< ValueType >, TextDiff::Change
- startAngleRadians : Slider::RotaryParameters
- startIndex1 : AbstractFifo::ScopedReadWrite< mode >
- startIndex2 : AbstractFifo::ScopedReadWrite< mode >
- startInSamples : ARAPlaybackRegionReader
- startPos : RelativePointPath::StartSubPath
- startSample : AudioSourceChannelInfo
- startTime : UnitTestRunner::TestResult
- state : AudioProcessorValueTreeState, ComponentBuilder, juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >, juce::midi_ci::ProfileStateEntry
- stateFileChooser : StandalonePluginHolder
- stateStack : LowLevelGraphicsPostScriptRenderer
- status : juce::midi_ci::Message::EndpointInquiry, juce::midi_ci::Message::EndpointInquiryResponse, juce::midi_ci::PropertyReplyHeader
- statusCode : juce::midi_ci::Message::ACK, juce::midi_ci::Message::NAK
- statusData : juce::midi_ci::Message::ACK, juce::midi_ci::Message::NAK
- stencilBufferBits : OpenGLPixelFormat
- stopAtEnd : Slider::RotaryParameters
- stopKey : KeyPress
- storageFormat : PropertiesFile::Options
- string : OSCTypes
- stringRange : TextLayout::Line, TextLayout::Run
- strings : StringArray
- strokePath : DrawableShape
- strokeType : DrawableShape
- style : ComponentPeer, PushNotifications::Notification::Action, Typeface
- styleFlags : ComponentPeer
- subcategoryName : UnitTestRunner::TestResult
- subFolders : KnownPluginList::PluginTree
- subMenu : PopupMenu::Item
- subPathIndex : PathFlatteningIterator
- subscribeId : juce::midi_ci::PropertySubscriptionHeader, juce::midi_ci::Subscription
- subtitle : PushNotifications::Notification
- succeeded : OnlineUnlockStatus::UnlockResult
- suggestedColour : AudioProcessorEditor::ParameterControlHighlightInfo
- supported : juce::midi_ci::SupportedAndActive
- supportedFeatures : juce::midi_ci::Message::ProcessInquiryResponse
- sustain : ADSR::Parameters
- symbolName : Expression::Symbol
- symmetricSkew : NormalisableRange< ValueType >